# TdApi.UpdateSupergroup

Package it.ernytech.tdlib

## Class TdApi.UpdateSupergroup

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateSupergroup

Enclosing class:
  TdApi

    public static class TdApi.UpdateSupergroup
    extends TdApi.Update

Some data of a supergroup or a channel has changed. This update is guaranteed to come before the supergroup identifier is returned to the client.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.Supergroup` `supergroup` New data about the supergroup.

### Constructor Summary

Constructors
`UpdateSupergroup()` Default constructor.
`UpdateSupergroup​(TdApi.Supergroup supergroup)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### supergroup

    public TdApi.Supergroup supergroup

New data about the supergroup.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateSupergroup

    public UpdateSupergroup()

Default constructor.

#### UpdateSupergroup

    public UpdateSupergroup​(TdApi.Supergroup supergroup)

Constructor for initialization of all fields.

Parameters:
  `supergroup` - New data about the supergroup.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR